#!/usr/bin/perl
#
# $Cambridge: hermes/src/prayer/templates/old/make_olist.pl,v 1.1 2008/09/16 10:52:48 dpc22 Exp $

$col=1;

print " ";
foreach $name (@ARGV) {
  $len=length($name);

  $name =~ s/\.t$/.o/;

  if (($col > 1) and (($col + $len) > 76)) {
    print "\\\n ";
    $col = 1;
  }
  print "${name} ";
  $col += $len + 1;
}
print "\n";
